#!/bin/sh --

#export DISPLAY=:0.0

pvBinPath=`dirname $PWD`
pvMajor=5.1.2
pvMinor=5.1
pvBinPath=$pvBinPath/Binaries/ParaView-$pvMajor

export PATH=$pvBinPath/bin:$PATH
export LD_LIBRARY_PATH=$pvBinPath/lib/paraview-$pvMinor:$pvBinPath/lib/paraview-$pvMinor/lib:$LD_LIBRARY_PATH
export PYTHONPATH=$pvBinPath/lib/paraview-$pvMinor:$pvBinPath/lib/paraview-$pvMinor/site-packages/paraview:$pvBinPath/lib/paraview-$pvMinor:$pvBinPath/lib/paraview-$pvMinor/mpi4py:$PYTHONPATH

######################################
## SurfaceLIC: Image size 1600x800 
######################################
### LLVM : 1 core###
(time pvbatch --use-offscreen-rendering --mesa-llvm ./shuttleBenchmarkSurfaceLIC.py --input-dir ../Data/shuttle-surf --output-dir LoResImages/LLVM/1Core --verbose) >> shuttleBenchmarkSurfaceLIC-MesaLLVM-PV-$pvMajor-LoRes.log 2>&1 

### LLVM : 2 cores ###
(time $pvBinPath/lib/paraview-$pvMinor/mpiexec -np 2 pvbatch --use-offscreen-rendering --mesa-llvm ./shuttleBenchmarkSurfaceLIC.py --input-dir ../Data/shuttle-surf --output-dir LoResImages/LLVM/2Cores --verbose) >> shuttleBenchmarkSurfaceLIC-MesaLLVM-PV-$pvMajor-LoRes.log 2>&1 

### LLVM : 3 cores ###
(time $pvBinPath/lib/paraview-$pvMinor/mpiexec -np 3 pvbatch --use-offscreen-rendering --mesa-llvm ./shuttleBenchmarkSurfaceLIC.py --input-dir ../Data/shuttle-surf --output-dir LoResImages/LLVM/3Cores --verbose) >> shuttleBenchmarkSurfaceLIC-MesaLLVM-PV-$pvMajor-LoRes.log 2>&1 

### SWR AVX2 : 1 core###
(time pvbatch --use-offscreen-rendering --mesa-swr-avx2 ./shuttleBenchmarkSurfaceLIC.py --input-dir ../Data/shuttle-surf --output-dir LoResImages/SWR/1Core --verbose) >> shuttleBenchmarkSurfaceLIC-MesaSWR-PV-$pvMajor-LoRes.log 2>&1 

### SWR AVX2 : 2 cores ###
(time $pvBinPath/lib/paraview-$pvMinor/mpiexec -np 2 pvbatch --use-offscreen-rendering --mesa-swr-avx2 ./shuttleBenchmarkSurfaceLIC.py --input-dir ../Data/shuttle-surf --output-dir LoResImages/SWR/2Cores --verbose) >> shuttleBenchmarkSurfaceLIC-MesaSWR-PV-$pvMajor-LoRes.log 2>&1 

### SWR AVX2 : 3 cores ###
(time $pvBinPath/lib/paraview-$pvMinor/mpiexec -np 3 pvbatch --use-offscreen-rendering --mesa-swr-avx2 ./shuttleBenchmarkSurfaceLIC.py --input-dir ../Data/shuttle-surf --output-dir LoResImages/SWR/3Cores --verbose) >> shuttleBenchmarkSurfaceLIC-MesaSWR-PV-$pvMajor-LoRes.log 2>&1 


